<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__comp__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_comp_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__comp__t_1abfdfcd88b2f9058b88fcd385a412b578" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_comp_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="263" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="263" />
      </memberdef>
      <memberdef id="structcyhal__comp__t_1a0e77accb5a10941386ee6a0bea091154" kind="variable" mutable="no" prot="public" static="no">
        <type>union cyhal_comp_t::@3</type>
        <definition>union cyhal_comp_t::@3 cyhal_comp_t::@4</definition>
        <argsstring />
        <name>@4</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="272" />
      </memberdef>
      <memberdef id="structcyhal__comp__t_1a253387985e2368023e82f4d519448b7b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_comp_t::pin_vin_p</definition>
        <argsstring />
        <name>pin_vin_p</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="273" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="273" />
      </memberdef>
      <memberdef id="structcyhal__comp__t_1a529ba908b202f3e94240b26a92be90f9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_comp_t::pin_vin_m</definition>
        <argsstring />
        <name>pin_vin_m</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="274" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="274" />
      </memberdef>
      <memberdef id="structcyhal__comp__t_1acbe031d28cebcf3212482c98af7c3fc4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_comp_t::pin_out</definition>
        <argsstring />
        <name>pin_out</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="275" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="275" />
      </memberdef>
      <memberdef id="structcyhal__comp__t_1a62e44a6d43bc091a5c31cea999aefabe" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_comp_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="276" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="276" />
      </memberdef>
      <memberdef id="structcyhal__comp__t_1ac1cc4c9fa610791f2d51a84bed89fd6d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_comp_t::irq_cause</definition>
        <argsstring />
        <name>irq_cause</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="277" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="277" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Comparator object. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="24">
        <label>cyhal_comp_t</label>
        <link refid="structcyhal__comp__t" />
        <childnode refid="25" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="26" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="26">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="25">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
    </collaborationgraph>
    <location bodyend="281" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="261" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="261" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__comp__t_1a62e44a6d43bc091a5c31cea999aefabe" virt="non-virtual"><scope>cyhal_comp_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__comp__t_1ac1cc4c9fa610791f2d51a84bed89fd6d" virt="non-virtual"><scope>cyhal_comp_t</scope><name>irq_cause</name></member>
      <member prot="public" refid="structcyhal__comp__t_1acbe031d28cebcf3212482c98af7c3fc4" virt="non-virtual"><scope>cyhal_comp_t</scope><name>pin_out</name></member>
      <member prot="public" refid="structcyhal__comp__t_1a529ba908b202f3e94240b26a92be90f9" virt="non-virtual"><scope>cyhal_comp_t</scope><name>pin_vin_m</name></member>
      <member prot="public" refid="structcyhal__comp__t_1a253387985e2368023e82f4d519448b7b" virt="non-virtual"><scope>cyhal_comp_t</scope><name>pin_vin_p</name></member>
      <member prot="public" refid="structcyhal__comp__t_1abfdfcd88b2f9058b88fcd385a412b578" virt="non-virtual"><scope>cyhal_comp_t</scope><name>resource</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>